<?php
define('PROTECTOR', 1);

include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
$textl='Покупка VIP';
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');

switch($_GET['mod']){

default:
$ab = $set['viptime'] -$time;
echo'<div class="main"><div class="block_zero">';
echo"Преимущества VIP-аккаунта:<br>
<ul>
<li>Оригинальный цвета ника</li>
<li>Бонус 50% к авторитету и сигаретам!</li>
<li>Ускоренная регенерация здоровья.</li>
</ul>";
if($set['vip']=='on'){
echo'<div class="main"><div class="block_zero center">';
echo'У Вас уже куплен VIP-аккаунт!</div></div>';
}else{
echo'<center><a href="vip.php?mod=vip"><span class="btn"><span class="end"><input class="label" type="submit" value="Купить VIP-аккаунт"></span></span></a></div></div></center>';
}
echo'</div></div>';
break;

case 'vip':
if(empty($_POST['kolvo'])){
echo'<div class="main"><div class="block_zero center">';
echo"Стоимость за 1 сутки 1200 рублей(игровых).</br>
<form action='vip.php?mod=vip' method='POST'>
Введите кол-во суток:<br/>
<input class='text' type=\"number\" value=\"1\" size=\"20\" name=\"kolvo\"/><br/>";
echo '<span class="btn"><span class="end"><input class="label" type="submit" value="Купить VIP"></span></span></form></div></div>';
}
elseif($_POST['kolvo']>0 AND $_POST['kolvo']<=$udata['almaz']){
$_POST['kolvo'] = htmlspecialchars(stripslashes(addslashes($_POST['kolvo'])));
$vremya=$_POST['kolvo']*24;
echo'<div class="main"><div class="block_zero center">';
echo"Вы действительно хотите купить VIP на $vremya час.?</br><a href='vip.php?mod=ok&kolvo=$_POST[kolvo]'><span class='btn'><span class='end'><input class='label' type='submit' value='Да'></span></span></a> <a href='vip.php?'><span class='btn'><span class='end'><input class='label' type='submit' value='Нет'></span></span></a></div></div>";
}else{
echo'<div class="main"><div class="block_zero center">У Вас не хватает алмазов!<a href="vip.php?"><span class="btn"><span class="end"><input class="label" type="submit" value="Назад"></span></span></div></div>';
}
break;

case 'ok':
$time = time();
if($set['vip']=='on'){
exit;
}
if(empty($_GET['kolvo'])){
header('Location: vip.php?mod=vip');exit;
}else{
$kol = htmlspecialchars(stripslashes(addslashes($_GET['kolvo'])));
$vremya = $kol*24;
$kols = $kol*1200;
if($udata['almaz']-$kols<0){
echo'<div class="main"><div class="block_zero center">У Вас не хватает рублей!<a href="vip.php?mod=vip"><span class="btn"><span class="end"><input class="label" type="submit" value="Назад"></span></span></div></div>';
break;
}else{
$viptime = $time+(24*3600*$kol);
mysql_query("UPDATE `set` SET `vip` = 'on',`viptime` = '$viptime' WHERE usr='$log' LIMIT 1");
mysql_query("UPDATE `users` SET `almaz` = '$udata[almaz]'-'$kols' WHERE usr='$log' LIMIT 1");
echo'<div class="main"><div class="block_zero center">';
echo"Поздравляем, вы купили Vip - статус на $vremya часов!</div></div>";
}
}
break;
}
include($path.'files/down.php');
?>